# How to use this for work
The workflow of P.A.R.A. is based on projects, as they are the most actionable information, but the information also flows in other ways. Most of the flowing and moving in the system will happen when you use the notes or when you are done with a project; that's why starting and finishing projects are crucial moments. As notes can flow to/from each part of the P.A.R.A, it's best to show with examples:

## Example 1 - Project
This example is the "normal" workflow for most things. First, you start with a project, something like writing this starter kit.

You first create the folder for the project once you're ready. Then you go around `2. Areas` and `3. Resources` to find the information possibly useful for the project; in this case, I would look in my `Second Brain` folder and my `Personal Knowledge Management` folder. From there starts the first flow, you take those notes, pictures, etc., and put them in the folder. At this point, you use them to create the product and complete the project.

Once the project is over, the 2nd flow can start; it's time to look at all the notes and artifacts you created and used. For each of them, see if they would still be helpful later if they could be turned into a template or formatted more generically. The idea is to keep those around for use in other projects later, so put them in the correct `2. Areas` folder. The remainder goes into `4. Archives`.

## Example 2 - Areas change
You decided to change your job and launch your own business in a completely different field. That would mean most of the information in your job-related `2. Areas` would not be actionable anymore. So now you can look if some things in that area could still be helpful and move the rest to `4. Archives`.

If a couple of months later something comes up and it forces you to get back into that first field, take the folder out of `4. Archives` and put it back into `2. Areas`, and you're back into business just like before.

## Example 3 - Resource change
Since things in `3. Resources` interest you to learn more about it can be that it changes at some point. A resource folder on `Marketing`, for example, could turn into a freelance job in marketing.

When that happens, you now have a standard to uphold (freelance standard), so you create a new folder in `2. Areas` for "Marketing" and move all the notes you wrote yourself from `3. Resources` into that new one (since `2. Areas` is for things you wrote yourself)


# Next step Explore!
You're officially done with the explanation now; you can proceed to try it for yourself or explore more around. If you have questions, don't hesitate to ask on the forum thread or read the [P.A.R.A. complete article](https://fortelabs.co/blog/para/) for a deeper dive into all the details.

If you want to look at more demo vaults like this, I also have my own system, a fork of P.A.R.A. for my use over [here](https://forum.obsidian.md/t/paan-starter-kit/21782). Finally, for more general writing, I have my blog where I will often write about that system or others at [maximecote.me](https://maximecote.me/)
