https://blog.rescuetime.com/smart-goals-examples/


SMART goals framework dictates that your goals should be: 
- ==Specific: You know exactly what needs to get done. There’s no ambiguity or vagueness in how and when your goal will happen==
- ==Measurable: You have a meaningful and motivating way to track progress and measure your results. You’ll know if you’ve hit your goal 80%, 100% or missed the mark entirely.==
- ==Achievable: You’re not shooting for the moon (unless you think you can realistically hit i==
- ==Relevant: You’re working towards something that is worthwhile, timely, and deeply connected to your own skills and long-term goals. You’ll be motivated to work towards this goal.==
- ==Time-bound: There are clear start and end dates you’re working towards. (It’s important to note that SMART goals are most useful for more short-term goals—one month to one year).==

On the surface, SMART goals are great at ensuring you don’t fall into bad goal-setting red flags. For example:  Hastily choosing a number or metric to go after without thinking it through. For example, saying you want to increase sales by 40% without having a reason why that’s the metric and goal to go after. Glossing over how other teams will be involved. For example, saying that you’ll build a new feature without involving your product team. Missing a crucial step along the way. For example, agreeing on a clear first step and final result but not knowing how you’re going to get from A to B.

1. Replace “should” with “will” In her book The Crossroads of Should and Must, artist Elle Luna describes the word should as a non-commitment. “Should” is a non-starter for your goals. Instead, be specific and use action words like “will”.  For example, “By the end of the week, I should will finish and send the final website design to my client.” 

2. Change “soon” to a specific timeline Despite time-bound being a large part of the SMART goal system, many people are afraid to commit to an actual specific date. But your goals lose power if they don’t have an end date.  For example, “I will send 10 cold emails to prospective clients soon by 4pm on Wednesday.”

3. Switch “need to” to “want to” Saying you “need” to do something frames your goal in a negative way. Instead, saying you “want” to do it is a much more positive way to stay motivated. (This is mostly when talking about personal goals. In the workplace, there are many situations where you “need” to do something).  For example, “I need to want to wake up at 6:30 am each morning so that I can go to the gym before work.” 

4. Replace “quit” with “stop” While your goal might be to change a behavior, saying you want to “quit” has all sorts of negative connotations that can get in your way. No one wants to feel like a quitter (even if they want to quit something). Instead, say you’ll “stop” doing it.  For example, “For the next 3 weeks, I will quit stop eating lunch at my desk and take a proper break.”

5. Change “Never” to a specific action Few things turn us off from doing a task like feeling overwhelmed and pressured. When you say you’ll “never” do something again, you’re putting an inordinate amount of pressure on yourself and will be more likely to give up or procrastinate.  Instead, set in place a replacement action for the thing you want to “never” do again.  For example, “I will never be late add a 15-minute buffer in between my meeting slots each day so I won’t be late for the Monday morning stand up meeting again.”

1. Spending more time on meaningful work

SMART goal: “Every day this week, I will work on our new marketing site redesign from 8:30 – 10:30 am without interruption.”  Why this works: Not only does this goal set a clear timeline and expectations, it does so in a positive way that is realistic and easy to stay motivated towards. Each day, you know what you’re doing, when you’re going to do it, and why it matters.

SMART goal: “I will schedule 2 hours on Thursday afternoon to personally email 10 people I’m already connected with on LinkedIn and ask them if they have 15 minutes to talk about their career path and how I should move forward.”  Why this works: This SMART goal answers all of the key questions—what you’re going to do, when, the process you’re going to use, and what you expect out of it. Additionally, it does so in a positive and motivating way, turning a big, audacious goal into something manageable.

SMART goal: “Every Monday, Wednesday, and Friday from 6:30–8:30 pm, I will work towards the Responsive Web Design certificate course on freeCodeCamp.”  Why this works: This SMART goal leaves nothing unclear. You know the skill you want to learn, how you’re going to learn it, and when and where that will happen.

SMART goal: “I will set a RescueTime Alert to notify me when I’ve spent more than 20 minutes on work tasks outside of the workday to help build a habit of leaving work at work.”  Why this works: Clarity is key. This SMART goal includes the specific process you’re going to take as well as the reasoning behind why you picked this goal in the first place.
